taffybar-3.2.2: A desktop bar similar to xmobar, but with more GUI

Copyright | (c) Ivan A. Malison
License | BSD3-style (see LICENSE)
Maintainer | Ivan A. Malison
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

System.Taffybar.Widget.Battery

Description

This module provides battery widgets using the UPower system service.

Currently it reports only the first battery it finds. If it does not find a battery, it just returns an obnoxious widget with warning text in it. Battery hotplugging is not supported. These more advanced features could be supported if there is interest.

Synopsis

- textBatteryNew :: String -> TaffyIO Widget
- batteryIconNew :: TaffyIO Widget

# Documentation

textBatteryNew Source #

Arguments

:: String | Display format
-> TaffyIO Widget |

A simple textual battery widget. The displayed format is specified format string where $percentage$ is replaced with the percentage of battery remaining and $time$ is replaced with the time until the battery is fully charged/discharged.

batteryIconNew :: TaffyIO Widget Source #